
package pg.ntnu.eti.ibm.master.thesis.paralysis.server;

import java.util.ArrayList;
import org.opencv.core.Point;

/**
 *
 * @author akwasnie
 */
class LengthCount {

    static double[] countLength(ArrayList<Point> eyeCentres, ArrayList<Point> mouthCentres) {
        Point eye1;
        Point eye2;
        Point mouth1;
        Point mouth2;
        double len1 = 0;
        double len2 = 0;
        if (eyeCentres.size()>1 && mouthCentres.size()>1){
            eye1 = eyeCentres.get(0);
            eye2 = eyeCentres.get(1);
            mouth1 = mouthCentres.get(0);
            mouth2 = mouthCentres.get(1);
            len1 = Math.sqrt(
            (eye1.x- mouth1.x) *  (eye1.x - mouth1.x) + 
            (eye1.y - mouth1.y) *  (eye1.y - mouth1.y)
        );
            len2 = Math.sqrt(
                    (eye2.x- mouth2.x) *  (eye2.x - mouth2.x) +
                            (eye2.y - mouth2.y) *  (eye2.y - mouth2.y)
            );
        }
        double ar[] = new double[2];
        ar[0]= len1;
        ar[1] =  len2;
        return ar;
    }  
}
